Computers
Get a computer screenshot
Resolves the sha256:<hex> reference a computer tool result carries in the session timeline to the stored screenshot and a short-lived signed URL. The caller must be able to view both the session and the Computer it came from; an expired, unconfirmed or unstored screenshot is not found.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
orgId*string
sessionId*string
Length
1 <= length <= 256sha256*string
Match
^[0-9a-f]{64}$Response Body
application/json
application/json
curl -X GET "https://example.com/v1/orgs/string/sessions/string/computer-screenshots/string"{ "ref": "string", "sha256": "string", "computerId": "string", "agentId": "string", "takenAt": "string", "bytes": -9007199254740991, "contentType": "string", "expiresAt": "string", "url": "string", "urlExpiresAt": "string"}